/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.instance;

/**
 * @author Going Dot Com Inc.
 */
class XbRootElementObj {

    private String namespace;
    private String namespaceUrl;

    /**
     * namespaceを取得します。
     * @return namespace
     */
    protected String getNamespace() {
        return namespace;
    }

    /**
     * namespaceを設定します。
     * @param namespace namespace
     */
    protected void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    /**
     * namespaceUrlを取得します。
     * @return namespaceUrl
     */
    protected String getNamespaceUrl() {
        return namespaceUrl;
    }

    /**
     * namespaceUrlを設定します。
     * @param namespaceUrl namespaceUrl
     */
    protected void setNamespaceUrl(String namespaceUrl) {
        this.namespaceUrl = namespaceUrl;
    }
}